---
title: VREyeParameters.recommendedFieldOfView
slug: Web/API/VREyeParameters/recommendedFieldOfView
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Obsolete
  - Property
  - Reference
  - Référence(2)
  - VR
  - VREyeParameters
  - Virtual Reality
  - WebVR
  - recommendedFieldOfView
---
<div>{{obsolete_header()}}{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>recommendedFieldOfView</code></strong> read-only property of the {{domxref("VREyeParameters")}} interface describes the recommended field of view for the current eye — ideally based on user calibration.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var recFOV = myEyeParameters.recommendedFieldOfView;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("VRFieldOfView")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>The following example is taken from the Mozilla VR Team's <a class="external external-icon" href="https://github.com/MozVR/vr-web-examples/tree/master/threejs-vr-boilerplate">threejs-vr-boilerplate</a> code — to be precise, the <a href="https://github.com/MozVR/vr-web-examples/blob/master/threejs-vr-boilerplate/js/VREffect.js#L28-L29">VREffect.js file</a>. Early on in the code the {{domxref("HMDVRDevice.getEyeParameters")}} method is used to access information about each eye — {{domxref("VREyeParameters.eyeTranslation")}} and {{domxref("VREyeParameters.recommendedFieldOfView")}} — which are used for rendering calulations later on.</p>

<pre class="brush: js">if ( vrHMD.getEyeParameters !== undefined ) {

    var eyeParamsL = vrHMD.getEyeParameters( 'left' );
    var eyeParamsR = vrHMD.getEyeParameters( 'right' );

    eyeTranslationL = eyeParamsL.eyeTranslation;
    eyeTranslationR = eyeParamsR.eyeTranslation;
    eyeFOVL = eyeParamsL.recommendedFieldOfView;
    eyeFOVR = eyeParamsR.recommendedFieldOfView;

} else {

  ...

}</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VREyeParameters.recommendedFieldOfView")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li>{{domxref("VRFieldOfView")}}</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
